<?php
/*
Plugin Name: TablePress Extension: Change DataTables strings
Plugin URI: https://tablepress.org/extensions/change-datatables-strings/
Description: Custom Extension for TablePress to change strings for the Table Features for Site Visitors
Version: 1.3
Requires at least: 6.0
Requires PHP: 7.2
Author: Tobias Bäthge
Author URI: https://tablepress.org/
Update URI: https://tablepress.org/
*/

add_action( 'tablepress_datatables_language_file', 'tablepress_change_datatables_language_file', 10, 3 );

/**
 * Change the file name of the used DataTables translation file.
 *
 * @since 1.0
 *
 * @param string $language_file     The full file name of the language file.
 * @param string $datatables_locale The locale.
 * @param string $path              The folder with the language file.
 * @return string The new full file name of the language file.
 */
function tablepress_change_datatables_language_file( string $language_file, string $datatables_locale, string $path ): string {
	$changed_language_file = plugin_dir_path( __FILE__ ) . "lang-{$datatables_locale}.php";
	if ( file_exists( $changed_language_file ) ) {
		$language_file = $changed_language_file;
	}
	return $language_file;
}
